<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Triangle (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Triangle (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Edge.html" title="class in com.sk89q.worldedit.regions.polyhedron"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/polyhedron/Triangle.html" target="_top">Frames</a></li>
<li><a href="Triangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions.polyhedron</div>
<h2 title="Class Triangle" class="title">Class Triangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.polyhedron.Triangle</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Triangle</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#Triangle-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">Triangle</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v0,
        <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v1,
        <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v2)</code>
<div class="block">Constructs a triangle with the given vertices (counter-clockwise)</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#above-com.sk89q.worldedit.math.Vector3-">above</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt)</code>
<div class="block">Returns whether the given point is above the plane the triangle is in.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#below-com.sk89q.worldedit.math.Vector3-">below</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt)</code>
<div class="block">Returns whether the given point is above the plane the triangle is in.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Edge.html" title="class in com.sk89q.worldedit.regions.polyhedron">Edge</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#getEdge-int-">getEdge</a></span>(int&nbsp;index)</code>
<div class="block">Returns the triangle's edge with the given index, counter-clockwise.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#getVertex-int-">getVertex</a></span>(int&nbsp;index)</code>
<div class="block">Returns the triangle's vertex with the given index, counter-clockwise.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html" title="class in com.sk89q.worldedit.regions.polyhedron">Triangle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#tag-java.lang.String-">tag</a></span>(java.lang.String&nbsp;tag)</code>
<div class="block">Set the triangle's tag.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Triangle-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Triangle</h4>
<pre>public&nbsp;Triangle(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v0,
                <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v1,
                <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;v2)</pre>
<div class="block">Constructs a triangle with the given vertices (counter-clockwise)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v0</code> - first vertex</dd>
<dd><code>v1</code> - second vertex</dd>
<dd><code>v2</code> - third vertex</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getVertex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVertex</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getVertex(int&nbsp;index)</pre>
<div class="block">Returns the triangle's vertex with the given index, counter-clockwise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Vertex index. Valid input: 0..2</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a vertex</dd>
</dl>
</li>
</ul>
<a name="getEdge-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdge</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Edge.html" title="class in com.sk89q.worldedit.regions.polyhedron">Edge</a>&nbsp;getEdge(int&nbsp;index)</pre>
<div class="block">Returns the triangle's edge with the given index, counter-clockwise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Edge index. Valid input: 0..2</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an edge</dd>
</dl>
</li>
</ul>
<a name="below-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>below</h4>
<pre>public&nbsp;boolean&nbsp;below(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt)</pre>
<div class="block">Returns whether the given point is above the plane the triangle is in.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the point to test</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the point is below</dd>
</dl>
</li>
</ul>
<a name="above-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>above</h4>
<pre>public&nbsp;boolean&nbsp;above(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt)</pre>
<div class="block">Returns whether the given point is above the plane the triangle is in.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the point to test</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the point is above</dd>
</dl>
</li>
</ul>
<a name="tag-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tag</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Triangle.html" title="class in com.sk89q.worldedit.regions.polyhedron">Triangle</a>&nbsp;tag(java.lang.String&nbsp;tag)</pre>
<div class="block">Set the triangle's tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tag</code> - the tag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/polyhedron/Edge.html" title="class in com.sk89q.worldedit.regions.polyhedron"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/polyhedron/Triangle.html" target="_top">Frames</a></li>
<li><a href="Triangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
